RESTORE eepromimage

CLS
PRINT "Download new eeprom image to FFC"
PRINT "================================"

' Open com port ...

OPEN "COM1:19200,N,8,1,CD0,CS0,DS0,OP0,RS,TB2048,RB2048" FOR RANDOM AS #1


' Establish comms ...

PRINT "Establishing comms ..."
PRINT #1, "RD 00 00"
GOSUB readresponse
PRINT "Comms established, sending settings:"


' Now download settings ...


eeaddress = 0
finished = 0
DO
  READ byte
 
  IF byte = &H99 THEN
    READ byte
    IF byte = &H99 THEN
      finished = 1
    ELSE
      IF byte = &H98 THEN
        READ byte
        eeaddress = byte * 256
        READ byte
        eeaddress = eeaddress + byte
        READ byte
      ELSE
        PRINT "Error in data"
        STOP
      END IF
    END IF
  END IF

  IF finished = 0 THEN
    ' Write byte to eeaddress
    bytehex$ = HEX$(byte)
    IF LEN(bytehex$) = 1 THEN
      bytehex$ = "0" + bytehex$
    END IF
    LOCATE 7, 1
    PRINT "Writing "; bytehex$; "h TO "; HEX$(eeaddress); "h  "
    s$ = "WR" + STR$(INT(eeaddress / 256)) + STR$(eeaddress MOD 256) + STR$(byte)
    PRINT #1, s$
    GOSUB readresponse
    PRINT #1, "RD"; STR$(INT(eeaddress / 256)); STR$(eeaddress MOD 256)
    eeaddress = eeaddress + 1
    GOSUB readresponse
    IF result$ = "Done." THEN
      IF bytehex$ <> value$ THEN
        PRINT "Error - read "; value$; " back."
      END IF
    END IF
  END IF

LOOP UNTIL (finished = 1) OR (bytehex$ <> value$)

CLOSE #1

PRINT "Done."

END



readresponse:

value$ = ""
result$ = ""
DO
  line$ = ""
  DO
    c$ = INPUT$(1, 1)
    IF c$ <> CHR$(13) AND c$ <> CHR$(10) THEN line$ = line$ + c$
  LOOP UNTIL c$ = CHR$(10)
  IF RIGHT$(line$, 1) = "." THEN
    result$ = line$
  ELSE
    value$ = line$
  END IF
LOOP UNTIL result$ <> ""
IF result$ <> "Done." THEN PRINT result$: END
RETURN



eepromimage:

' EE_PRSCALV_H    equ     00      ; 2 bytes (word)
' EE_PRSCALV_L    equ     00      ; adc reading for specified pressure
'                                 ; 1020mbar = this adc reading
DATA &hfb, &hc3

' EE_PRSCALP_H    equ     00      ; 2 bytes (word)
' EE_PRSCALP_L    equ     02      ; pressure specified for above spot reading
' 1020mbar (x 10)
DATA &h27, &hd8

' EE_ALTM_H       equ     00      ; 3 bytes (24 bit float)
' EE_ALTM_L       equ     04      ; cal'd m of pressure = m * adc + c
'                                 ; m approx 0.00977403 = 782023
DATA &h78, &h20, &h23
 

' EE_ALTC_H       equ     00      ; 3 bytes (24 bit float)
' EE_ALTC_L       equ     07      ; cal'd c of pressure = m * adc + c
'                                 ; c approx 403.4mbar = 8749af
DATA &h87, &h49, &haf

' EE_QFEOFF_H     equ     00      ; 2 bytes (16 bit float)
' EE_QFEOFF_L     equ     0a      ; qfe offset to make
DATA 0,0

' EE_QNHOFF_H     equ     00      ; 2 bytes (16 bit float)
' EE_QNHOFF_L     equ     0c      ; qnh offset to make
DATA 0,0

' EE_BAROP_H      equ     00      ; 2 bytes - current barograph
' EE_BAROP_L      equ     0e      ; pointer to start new at

DATA &h00,&h80

' EE_MMIFLAGS_H   equ     00      ; 1 byte
' EE_MMIFLAGS_L   equ     10      ;
DATA &h07

' EE_MAXALTITUDE_H        equ     00      ; 2 bytes
' EE_MAXALTITUDE_L        equ     11      ; maximum qfe measured
DATA 0,0

' EE_MAXTAS_H     equ     00      ; 1 byte
' EE_MAXTAS_L     equ     13      ; maximum tas measured
DATA 0

' spare bytes

DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff

DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff
DATA &hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff,&hff

' EE_BARORATE_H   equ     00      ; 1 byte
' EE_BARORATE_L   equ     76      ; Seconds between barograph readings
DATA 5

' EE_ASIM_H       equ     00      ; 3 bytes (24 bit float)
' EE_ASIM_L       equ     77      ; impactpressure_delta = m * adcreading
DATA &h79, &h40, &h0f

' EE_ASIC_H       equ     00      ; 3 bytes (24 bit float)
' EE_ASIC_L       equ     77      ; impactpressure_delta = m * adcreading
DATA &h57, &h0c, &hbc

' spare bytes
DATA &hff, &hff, &hff

' EE_BARO1_H      equ     00      ; 8128 bytes
' EE_BARO1_L      equ     80      ; Barograph store 1
' end of trace ...
DATA &hff, &hff, &hff, &hff, &hff


' EE_BARO1_ENDH   equ     20
' EE_BARO1_ENDL   equ     3F      ; ... and the last location
' EE_BARO2_H      equ     20      ; 8128 bytes
' EE_BARO2_L      equ     40      ; Barograph store 2
' EE_BARO2_ENDH   equ     3F
' EE_BARO2_ENDL   equ     0FF     ; ... and the last location
' Move to location &h2040
DATA &h99, &h98, &h20, &h40
' end of trace ...
DATA &hff, &hff, &hff, &hff, &hff



' end of data
DATA &h99, &h99

