        list

; *************************************************************************         
;                         Free Flight Computer
;
;                           EEPROM ALLOCATION
;
; *************************************************************************
;
; Development Tool:     MPLAB v4.12.12
; File Creation:        25/01/00                RNH
; Last Update:          22/02/04                RNH
; Code Issue:           A                       RNH
;
; Defines mappings of information stored in EEPROM.

        nolist


; ----- Spare
;
; 0000 to 0003 inclusive


; ----- Pressure sensor calibration information
;
; Calibration is performed over the engineering port.  The PC downloads
; the calculated m and c values so precise algorithm is up to it.  Suggested
; method is to take spot readings on high and low pressure days, then work out
; and send in the new m and c.

EE_ALTM_H       equ     00      ; 3 bytes (24 bit float)
EE_ALTM_L       equ     04      ; cal'd m of pressure = m * voltage + c

EE_ALTC_H       equ     00      ; 3 bytes (24 bit signed)
EE_ALTC_L       equ     07      ; cal'd c of pressure = m * voltage + c


; ----- Altimeter information
;
; Offsets added to calculated altitude to obtain qfe & qnh.

EE_QFEOFF_H     equ     00      ; 2 bytes (16 bit float)
EE_QFEOFF_L     equ     0a      ; qfe offset to make

EE_QNHOFF_H     equ     00      ; 2 bytes (16 bit float)
EE_QNHOFF_L     equ     0c      ; qnh offset to make

EE_BAROP_H      equ     00      ; 2 bytes - current barograph
EE_BAROP_L      equ     0e      ; pointer to start new at


; ----- MMI information
;

EE_MMIFLAGS_H   equ     00      ; 1 byte
EE_MMIFLAGS_L   equ     10      ; 


; ----- Recorded information

EE_MAXALTITUDE_H        equ     00      ; 2 bytes
EE_MAXALTITUDE_L        equ     11      ; maximum qfe measured

EE_MAXTAS_H     equ     00      ; 1 byte
EE_MAXTAS_L     equ     13      ; maximum tas measured


; ----- Spare
;
; 0014 to 0075 inclusive

 
; ----- Misc settings

EE_BARORATE_H   equ     00      ; 1 byte
EE_BARORATE_L   equ     76      ; Seconds between barograph readings

; ----- ASI cal

EE_ASIM_H       equ     00      ; 3 bytes (24 bit float)
EE_ASIM_L       equ     77      ; cal'd m of asi pressure = m * voltage + c

EE_ASIC_H       equ     00      ; 3 bytes (24 bit float)
EE_ASIC_L       equ     7a      ; cal'd m of asi pressure = m * voltage + c


; ----- Spare
;
; 007d to 007F inclusive


; ----- Barograph store
;
; 8128 bytes in each store
;
; Each reading comprises:
;       QNH     2 bytes
;       Vario*5 1 byte          Signed
;       TAS     1 byte
;       Temp    1 byte
;
; Therefore space for 1625 readings.  If taken every 5 seconds this is
; 2.25 hours. If all entries are 0xff for a reading, then is end of trace.

EE_BARO1_H      equ     00      ; 8125 bytes
EE_BARO1_L      equ     80      ; Barograph store 1
EE_BARO1_ENDH   equ     20
EE_BARO1_ENDL   equ     3D      ; just past the last location
; 203E and 203F spare

EE_BARO2_H      equ     20      ; 8125 bytes
EE_BARO2_L      equ     40      ; Barograph store 2
EE_BARO2_ENDH   equ     3F
EE_BARO2_ENDL   equ     0FD     ; just past the last location
; 3FFE and 3FFF spare

        list
