; *************************************************************************         
;                         Free Flight Computer
;
;                    GPIO and general configuration
;
; *************************************************************************
;
; Development Tool:     MPLAB v4.12.12
; File Creation:        16/09/02                RNH
; Last Update:          25/04/04                RNH
; Code Issue:           A                       RNH
;


; External gpio lines

SCLK            equ     0       ; port c output
ADCDATA         equ     5       ; port a open collector
nADCCS          equ     5       ; port c output
nADCREADY       equ     4       ; port a input
nMEASURE        equ     2       ; port a output


; LCD row addresses
;
; Instructions to go to line start address
; for 20 x 4 single enable displays:

LINE1   equ     0x80+0x00
LINE2   equ     0x80+0x40
LINE3   equ     0x80+0x14
LINE4   equ     0x80+0x54


; AD7705 configuration

; Comms register bits

COMMS_REG       equ     b'00000000'
SETUP_REG       equ     b'00010000'
CLOCK_REG       equ     b'00100000'
DATA_REG        equ     b'00110000'
TEST_REG        equ     b'01000000'
NOP_REG         equ     b'01010000'
OFFSET_REG      equ     b'01100000'
GAIN_REG        equ     b'01110000'

READ_OP         equ     b'00001000'     ; read operation follows

STBY            equ     b'00000100'     ; part in standby please

CHANNEL0        equ     b'00000000'
CHANNEL1        equ     b'00000001'
CHANNELMASK     equ     b'00000011'


; Setup register bits

NORMAL_MODE     equ     b'00000000'
SELFCAL_MODE    equ     b'01000000'
ZEROCAL_MODE    equ     b'10000000'
FSCAL_MODE      equ     b'11000000'

GAIN_1          equ     b'00000000'
GAIN_2          equ     b'00001000'
GAIN_4          equ     b'00010000'
GAIN_8          equ     b'00011000'
GAIN_16         equ     b'00100000'
GAIN_32         equ     b'00101000'
GAIN_64         equ     b'00110000'
GAIN_128        equ     b'00111000'

UNIPOLAR        equ     b'00000100'

BUFFERED        equ     b'00000010'

FSYNC           equ     b'00000001'


; Clock register bits

NO_MCLK_OUT     equ     b'00010000'     ; disables mclk out
CLKDIV          equ     b'00001000'     ; halves clock
CLK             equ     b'00000100'     ; set if internal clock > 1MHz

UPDATE_20Hz     equ     b'00000000'     ; For 1MHz
UPDATE_25Hz     equ     b'00000001'     ;
UPDATE_100Hz    equ     b'00000010'     ;
UPDATE_200Hz    equ     b'00000011'     ;


; ADC channels

ASI_ADC         equ     3       ; internal channel 3
HEAD_ADC        equ     0       ; internal channel 0
DEST_HEIGHT_ADC equ     1       ; internal channel 1
VARIO_ADC       equ     2       ; internal channel 2

PRESSURE_ADC    equ     0       ; external channel 1
TEMP_ADC        equ     1       ; external channel 2


; ADC gains used

PRESSURE_GAIN   equ     GAIN_1
TEMP_GAIN       equ     GAIN_1


; General configuration

SHORT_DEBOUNCE  equ d'4'        ; 30-40ms key debounce
LONG_DEBOUNCE   equ d'100'      ; 1 second key debounce

BEEP_UP_THRESH  equ d'3'        ; must be above this threshold (0.6up), or below ...
BEEP_DN_THRESH  equ d'10'       ; this threshold (2.0dn) ...
PEAK_TIMEOUT    equ d'5'        ; reset peak vario reading every five seconds

AUTO_UP_THRESH  equ d'3'        ; must be above this threshold (0.6up), or below ...
AUTO_DN_THRESH  equ d'5'        ; this threshold (1.0dn) ...
AUTOSTOP_TIMEOUT equ d'30'      ; and for 30 seconds timeout to stop autotimer
CONSECUTIVE_BEEPS equ d'255'    ; If this for over 2.55 seconds, then starts/reset timer

