        list
; p16c76.inc  standard header file, version 1.01    microchip technology, inc.
        nolist

; this header file defines configurations, registers, and other useful bits of
; information for the pic16c76 microcontroller.  these names are taken to match 
; the data sheets as closely as possible.  

; note that the processor must be selected before this file is 
; included.  the processor may be selected the following ways:

;       1. command line switch:
;               c:\ mpasm myfile.asm /pic16c76
;       2. list directive in the source file
;               list   p=pic16c76
;       3. processor type entry in the mpasm full-screen interface

;==========================================================================
;
;       revision history
;
;==========================================================================

;rev:   date:    reason:

;1.00   11/13/96 initial release
;1.01   12/18/96 modified per review

;==========================================================================
;
;       verify processor
;
;==========================================================================

        ifndef __16c76
           messg "processor-header file mismatch.  verify selected processor."
        endif

;==========================================================================
;
;       register definitions
;
;==========================================================================

w                            equ     h'0000'
f                            equ     h'0001'

;----- register files------------------------------------------------------

indf                         equ     h'0000'
tmr0                         equ     h'0001'
pcl                          equ     h'0002'
status                       equ     h'0003'
fsr                          equ     h'0004'
porta                        equ     h'0005'
portb                        equ     h'0006'
portc                        equ     h'0007'
pclath                       equ     h'000a'
intcon                       equ     h'000b'
pir1                         equ     h'000c'
pir2                         equ     h'000d'
tmr1l                        equ     h'000e'
tmr1h                        equ     h'000f'
t1con                        equ     h'0010'
tmr2                         equ     h'0011'
t2con                        equ     h'0012'
sspbuf                       equ     h'0013'
sspcon                       equ     h'0014'
ccpr1l                       equ     h'0015'
ccpr1h                       equ     h'0016'
ccp1con                      equ     h'0017'
rcsta                        equ     h'0018'
txreg                        equ     h'0019'
rcreg                        equ     h'001a'
ccpr2l                       equ     h'001b'
ccpr2h                       equ     h'001c'
ccp2con                      equ     h'001d'
adres                        equ     h'001e'
adcon0                       equ     h'001f'

option_reg                   equ     h'0081'
trisa                        equ     h'0085'
trisb                        equ     h'0086'
trisc                        equ     h'0087'
pie1                         equ     h'008c'
pie2                         equ     h'008d'
pcon                         equ     h'008e'
pr2                          equ     h'0092'
sspadd                       equ     h'0093'
sspstat                      equ     h'0094'
txsta                        equ     h'0098'
spbrg                        equ     h'0099'
adcon1                       equ     h'009f'

;----- status bits --------------------------------------------------------

irp                          equ     h'0007'
rp1                          equ     h'0006'
rp0                          equ     h'0005'
not_to                       equ     h'0004'
not_pd                       equ     h'0003'
z                            equ     h'0002'
dc                           equ     h'0001'
c                            equ     h'0000'

;----- intcon bits --------------------------------------------------------

gie                          equ     h'0007'
peie                         equ     h'0006'
t0ie                         equ     h'0005'
inte                         equ     h'0004'
rbie                         equ     h'0003'
t0if                         equ     h'0002'
intf                         equ     h'0001'
rbif                         equ     h'0000'

;----- pir1 bits ----------------------------------------------------------

adif                         equ     h'0006'
rcif                         equ     h'0005'
txif                         equ     h'0004'
sspif                        equ     h'0003'
ccp1if                       equ     h'0002'
tmr2if                       equ     h'0001'
tmr1if                       equ     h'0000'

;----- pir2 bits ----------------------------------------------------------

ccp2if                       equ     h'0000'

;----- t1con bits ---------------------------------------------------------

t1ckps1                      equ     h'0005'
t1ckps0                      equ     h'0004'
t1oscen                      equ     h'0003'
not_t1sync                   equ     h'0002'
t1insync                     equ     h'0002'    ; backward compatibility only
tmr1cs                       equ     h'0001'
tmr1on                       equ     h'0000'

;----- t2con bits ---------------------------------------------------------

toutps3                      equ     h'0006'
toutps2                      equ     h'0005'
toutps1                      equ     h'0004'
toutps0                      equ     h'0003'
tmr2on                       equ     h'0002'
t2ckps1                      equ     h'0001'
t2ckps0                      equ     h'0000'

;----- sspcon bits --------------------------------------------------------

wcol                         equ     h'0007'
sspov                        equ     h'0006'
sspen                        equ     h'0005'
ckp                          equ     h'0004'
sspm3                        equ     h'0003'
sspm2                        equ     h'0002'
sspm1                        equ     h'0001'
sspm0                        equ     h'0000'

;----- ccp1con bits -------------------------------------------------------

ccp1x                        equ     h'0005'
ccp1y                        equ     h'0004'
ccp1m3                       equ     h'0003'
ccp1m2                       equ     h'0002'
ccp1m1                       equ     h'0001'
ccp1m0                       equ     h'0000'

;----- rcsta bits ---------------------------------------------------------

spen                         equ     h'0007'
rx9                          equ     h'0006'
rc9                          equ     h'0006'    ; backward compatibility only
not_rc8                      equ     h'0006'    ; backward compatibility only
rc8_9                        equ     h'0006'    ; backward compatibility only
sren                         equ     h'0005'
cren                         equ     h'0004'
ferr                         equ     h'0002'
oerr                         equ     h'0001'
rx9d                         equ     h'0000'
rcd8                         equ     h'0000'    ; backward compatibility only

;----- ccp2con bits -------------------------------------------------------

ccp2x                        equ     h'0005'
ccp2y                        equ     h'0004'
ccp2m3                       equ     h'0003'
ccp2m2                       equ     h'0002'
ccp2m1                       equ     h'0001'
ccp2m0                       equ     h'0000'

;----- adcon0 bits --------------------------------------------------------

adcs1                     equ     h'0007'
adcs0                     equ     h'0006'
chs2                      equ     h'0005'
chs1                      equ     h'0004'
chs0                      equ     h'0003'
go                        equ     h'0002'
not_done                  equ     h'0002'
go_done                   equ     h'0002'
adon                      equ     h'0000'

;----- option bits --------------------------------------------------------

not_rbpu                     equ     h'0007'
intedg                       equ     h'0006'
t0cs                         equ     h'0005'
t0se                         equ     h'0004'
psa                          equ     h'0003'
ps2                          equ     h'0002'
ps1                          equ     h'0001'
ps0                          equ     h'0000'

;----- pie1 bits ----------------------------------------------------------

adie                         equ     h'0006'
rcie                         equ     h'0005'
txie                         equ     h'0004'
sspie                        equ     h'0003'
ccp1ie                       equ     h'0002'
tmr2ie                       equ     h'0001'
tmr1ie                       equ     h'0000'

;----- pie2 bits ----------------------------------------------------------

ccp2ie                       equ     h'0000'

;----- pcon bits ----------------------------------------------------------

not_por                      equ     h'0001'
not_bo                       equ     h'0000'
not_bor                      equ     h'0000'

;----- sspstat bits -------------------------------------------------------

smp                          equ     h'0007'
cke                          equ     h'0006'
d                            equ     h'0005'
i2c_data                     equ     h'0005'
not_a                        equ     h'0005'
not_address                  equ     h'0005'
d_a                          equ     h'0005'
data_address                 equ     h'0005'
p                            equ     h'0004'
i2c_stop                     equ     h'0004'
s                            equ     h'0003'
i2c_start                    equ     h'0003'
r                            equ     h'0002'
i2c_read                     equ     h'0002'
not_w                        equ     h'0002'
not_write                    equ     h'0002'
r_w                          equ     h'0002'
read_write                   equ     h'0002'
ua                           equ     h'0001'
bf                           equ     h'0000'

;----- txsta bits ---------------------------------------------------------

csrc                         equ     h'0007'
tx9                          equ     h'0006'
not_tx8                      equ     h'0006'    ; backward compatibility only
tx8_9                        equ     h'0006'    ; backward compatibility only
txen                         equ     h'0005'
sync                         equ     h'0004'
brgh                         equ     h'0002'
trmt                         equ     h'0001'
tx9d                         equ     h'0000'
txd8                         equ     h'0000'    ; backward compatibility only

;----- adcon1 bits --------------------------------------------------------

pcfg2                     equ     h'0002'
pcfg1                     equ     h'0001'
pcfg0                     equ     h'0000'

;==========================================================================
;
;       ram definition
;
;==========================================================================

        __maxram h'1ff'
	__badram h'08'-h'09', h'88'-h'89'
        __badram h'8f'-h'91', h'95'-h'97', h'9a'-h'9e'
	__badram h'105', h'107'-h'109', h'10c'-h'10f'
	__badram h'185', h'187'-h'189', h'18c'-h'18f'

;==========================================================================
;
;       configuration bits
;
;==========================================================================

_boden_on                    equ     h'3fff'
_boden_off                   equ     h'3fbf'
_cp_all                      equ     h'00cf'
_cp_75                       equ     h'15df'
_cp_50                       equ     h'2aef'
_cp_off                      equ     h'3fff'
_pwrte_off                   equ     h'3fff'
_pwrte_on                    equ     h'3ff7'
_wdt_on                      equ     h'3fff'
_wdt_off                     equ     h'3ffb'
_lp_osc                      equ     h'3ffc'
_xt_osc                      equ     h'3ffd'
_hs_osc                      equ     h'3ffe'
_rc_osc                      equ     h'3fff'

        list
